# $Revision: 1.21 $, $Date: 2011/02/04 18:24:07 $
Summary:	VNC client for the GNOME desktop
Summary(pl.UTF-8):	Klient VNC dla środowiska GNOME
Name:		vinagre
Version:	2.30.3
Release:	2
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/vinagre/2.30/%{name}-%{version}.tar.bz2
# Source0-md5:	adfa70f0fab9171d01f4c4cd4ede9e90
URL:		http://www.gnome.org/projects/vinagre/
BuildRequires:	GConf2-devel >= 2.24.0
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1:1.10
BuildRequires:	avahi-devel >= 0.6.22
BuildRequires:	avahi-glib-devel >= 0.6.22
BuildRequires:	avahi-gobject-devel >= 0.6.22
BuildRequires:	avahi-ui-devel >= 0.6.22
BuildRequires:	dbus-glib-devel
BuildRequires:	docbook-dtd43-xml
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.18.0
BuildRequires:	gnome-common >= 2.24.0
BuildRequires:	gnome-doc-utils >= 0.14.0
BuildRequires:	gnome-panel-devel >= 2.24.0
BuildRequires:	gtk+2-devel >= 2:2.18.0
BuildRequires:	gtk-vnc-devel >= 0.3.10
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libgnome-keyring-devel >= 2.24.0
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.31
BuildRequires:	perl-XML-Parser
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	telepathy-glib-devel >= 0.7.31
BuildRequires:	vte-devel >= 0.20.0
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires(post,postun):	shared-mime-info
Requires(post,preun):	GConf2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Vinagre is a VNC client for the GNOME desktop environment.

%description -l pl.UTF-8
Vinagre to klient VNC dla środowiska graficznego GNOME.

%package devel
Summary:	Header files for vinagre
Summary(pl.UTF-8):	Pliki nagłówkowe dla vinagre
Group:		Development/Libraries
Requires:	gtk+2-devel >= 2:2.18.0
Requires:	libxml2-devel >= 1:2.6.31

%description devel
Header files for vinagre.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla vinagre.

%prep
%setup -q

%{__sed} -i -e 's/en@shaw//' po/LINGUAS
rm -f po/en@shaw.po

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-avahi=yes
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

rm -f $RPM_BUILD_ROOT%{_libdir}/vinagre-1/{plugin-loaders,plugins}/*.la

# Remove text files installed by vinagre, we install them in a versioned
# directory in the files section
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/vinagre

%find_lang vinagre --with-gnome --with-omf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install vinagre.schemas
%update_desktop_database_post
%update_mime_database
%update_icon_cache hicolor

%preun
%gconf_schema_uninstall vinagre.schemas

%postun
%update_desktop_database_postun
%update_mime_database
%update_icon_cache hicolor

%files -f vinagre.lang
%defattr(644,root,root,755)
%doc README NEWS COPYING AUTHORS
%attr(755,root,root) %{_bindir}/vinagre
%dir %{_libdir}/vinagre-1
%dir %{_libdir}/vinagre-1/plugin-loaders
%attr(755,root,root) %{_libdir}/vinagre-1/plugin-loaders/libcloader.so
%dir %{_libdir}/vinagre-1/plugins
%attr(755,root,root) %{_libdir}/vinagre-1/plugins/libvnc.so
%{_libdir}/vinagre-1/plugins/vnc.vinagre-plugin
%attr(755,root,root) %{_libexecdir}/vinagre-applet
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/*/*/*.svg
%{_desktopdir}/*.desktop
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.Vinagre.service
%{_datadir}/mime/packages/*.xml
%{_datadir}/telepathy/clients/Vinagre.client
%{_datadir}/vinagre
%{_datadir}/vinagre-1
%{_sysconfdir}/gconf/schemas/vinagre.schemas
%{_mandir}/man1/*.1*
%{_libdir}/bonobo/servers/GNOME_VinagreApplet.server

%files devel
%defattr(644,root,root,755)
%{_includedir}/vinagre-1.0
%{_pkgconfigdir}/vinagre-1.0.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: vinagre.spec,v $
Revision 1.21  2011/02/04 18:24:07  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.20  2010/10/01 15:36:35  megabajt
- updated to 2.30.3

Revision 1.19  2010/06/25 21:45:36  megabajt
- updated to 2.30.2

Revision 1.18  2010/05/16 12:49:44  sparky
- BR: docbook-dtd43-xml

Revision 1.17  2010/05/07 14:19:38  megabajt
- updated to 2.30.1

Revision 1.16  2010/04/23 18:41:38  megabajt
- updated to 2.30.0
- added -devel subpackage

Revision 1.15  2009/11/18 13:31:22  patrys
- 2.28.1

Revision 1.11.2.4  2009/11/18 13:28:46  patrys
- 2.28.1

Revision 1.14  2009/10/05 21:50:02  qwiat
- rel

Revision 1.13  2009/10/05 21:32:30  qwiat
- BR

Revision 1.12  2009/09/26 22:20:24  qwiat
- updated to 2.28.0.1
- added TODO

Revision 1.11.2.3  2009/08/26 12:37:43  patrys
- 2.27.91
- still need to package -devel

Revision 1.11.2.2  2009/08/12 14:47:47  patrys
- drop old BR:

Revision 1.11.2.1  2009/08/11 21:06:22  patrys
- 2.27.90

Revision 1.11  2009/05/21 21:21:51  megabajt
- updated to 2.26.2

Revision 1.10  2009/03/18 16:25:43  patrys
- 2.26.0

Revision 1.9  2008/12/21 18:20:32  megabajt
- updated to 2.24.2
- fixes CVE-2008-5660

Revision 1.8  2008/10/23 13:41:23  megabajt
- updated to 2.24.1

Revision 1.7  2008/10/12 21:33:58  dzeus
- merged from DEVEL

Revision 1.4.2.5  2008/09/28 11:58:24  qwiat
- up to 2.24
- added BR

Revision 1.4.2.4  2008/09/13 10:40:32  patrys
- 2.23.92

Revision 1.4.2.3  2008/07/24 19:50:06  patrys
- 2.23.4

Revision 1.4.2.2  2008/06/03 09:46:25  patrys
- 2.23.3.1

Revision 1.4.2.1  2008-05-21 11:28:18  patrys
- 2.23.2

Revision 1.4.2.6  2009/03/18 16:23:47  patrys
- 2.26.0

Revision 1.4.2.5  2008/09/28 11:58:24  qwiat
- up to 2.24
- added BR

Revision 1.4.2.4  2008/09/13 10:40:32  patrys
- 2.23.92

Revision 1.4.2.3  2008/07/24 19:50:06  patrys
- 2.23.4

Revision 1.4.2.2  2008/06/03 09:46:25  patrys
- 2.23.3.1

Revision 1.4.2.1  2008-05-21 11:28:18  patrys
- 2.23.2

Revision 1.4  2008-03-11 14:39:33  patrys
- require stable GConf2

Revision 1.3  2008-03-10 17:18:26  qboosh
- pl
- unified GNOME source URL

Revision 1.2  2008-03-10 17:04:34  patrys
- 0.5.0

Revision 1.1  2007-12-12 22:32:41  patrys
- initial PLD release
